Skip to main content

Workflows Actions

https://api.app.wnology.io/applications/APPLICATION_ID/flows

Below are the various requests that can be performed against the Workflows resource, as well as the expected parameters and the potential responses.

Get​

Returns the flows for an application

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/flows

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, flows.*, or flows.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: namefilterField=name
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*flow
flowClassNFilter the workflows by the given flow class. Accepted values are: edge, embedded, cloud, customNode, experiencecloudflowClass=cloud
triggerFilterNArray of triggers to filter by - always filters against default flow version. See Workflow Trigger Filter for more details.triggerFilter[0][type]=webhook&triggerFilter[0][key]=575ed78e7ae143cd83dc4aab
includeCustomNodesNIf the result of the request should also include the details of any custom nodes referenced by the returned workflowsfalseincludeCustomNodes=true
queryNWorkflow filter JSON object which overrides the filterField, filter, triggerFilter, and flowClass parameters. See Advanced Workflow Query for more details.query={"$or":[{"name":{"$ne":"flowie"}},{"enabled":false}]}
allVersionsNIf the request should also return flows with matching versions. Only applicable for requests with an advanced query.falseallVersions=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/flows

Successful Responses​

CodeTypeDescription
200WorkflowsCollection of flows

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Get by Version​

Returns the flows by version for an application

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/flows/version

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, flows.*, or flows.getByVersion.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: namefilterField=name
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*flow
flowClassNFilter the workflows by the given flow class. Accepted values are: edge, embedded, cloud, customNode, experiencecloudflowClass=cloud
versionYReturn the workflow versions for the given version.version=myVersion
triggerFilterNArray of triggers to filter by - always filters against default flow version. See Workflow Trigger Filter for more details.triggerFilter[0][type]=webhook&triggerFilter[0][key]=575ed78e7ae143cd83dc4aab
includeCustomNodesNIf the result of the request should also include the details of any custom nodes referenced by the returned workflowsfalseincludeCustomNodes=true
queryNWorkflow filter JSON object which overrides the filterField, filter, triggerFilter, and flowClass parameters. See Advanced Workflow By Version Query for more details.query={"flowId":"000000000000000000000000"}

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/flows/version?version=myVersion

Successful Responses​

CodeTypeDescription
200Workflow VersionsCollection of flow versions

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Import​

Import a set of flows and flow versions

Method And Url​

POST https://api.app.wnology.io/applications/APPLICATION_ID/flows/import

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, flows.*, or flows.import.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Workflows Import Post schema. For example, the following would be a valid body for this request:

{
"flows": [
{
"name": "My New Workflow",
"description": "Description of my new workflow"
}
],
"flowVersions": []
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"flows":[{"name":"My New Workflow","description":"Description of my new workflow"}],"flowVersions":[]}' \
https://api.app.wnology.io/applications/APPLICATION_ID/flows/import

Successful Responses​

CodeTypeDescription
201Workflow Import ResultSuccessfully imported workflows

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Palette​

Gets additional nodes that should be available in the palette

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/flows/palette

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, flows.*, or flows.palette.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/flows/palette

Successful Responses​

CodeTypeDescription
200Palette ResponseThe additional nodes available in the palette

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post​

Create a new flow for an application

Method And Url​

POST https://api.app.wnology.io/applications/APPLICATION_ID/flows

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, flows.*, or flows.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeCustomNodesNIf the result of the request should also include the details of any custom nodes referenced by the returned workflowsfalseincludeCustomNodes=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Workflow Post schema. For example, the following would be a valid body for this request:

{
"name": "My New Workflow",
"description": "Description of my new workflow"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"My New Workflow","description":"Description of my new workflow"}' \
https://api.app.wnology.io/applications/APPLICATION_ID/flows

Successful Responses​

CodeTypeDescription
201WorkflowSuccessfully created flow

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Advanced Workflow By Version Query​

Schema for advanced workflow queries

Advanced Workflow By Version Query Schema​

  • ▶
    {} 4 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 10 keys
      • ▶
        {} 3 keys
        • ▶
          {} 3 keys
          • ▶
            {} 3 keys
            • ▶
              {} 1 key
              • ▶
                {} 1 key
                • ▶
                  {} 1 key
                  • ▶
                    {} 1 key
                    • ▶
                      {} 1 key
                      • ▶
                        {} 1 key
                        • ▶
                          {} 1 key
                        • false

                      Advanced Workflow By Version Query Example​

                      • ▶
                        {} 1 key
                        • "000000000000000000000000"

                      Advanced Workflow Query​

                      Schema for advanced workflow queries

                      Advanced Workflow Query Schema​

                      • ▶
                        {} 4 keys
                        • "http://json-schema.org/draft-07/schema#"
                        • "object"
                        • ▶
                          {} 13 keys
                          • ▶
                            {} 3 keys
                            • ▶
                              {} 3 keys
                              • ▶
                                {} 3 keys
                                • ▶
                                  {} 1 key
                                  • ▶
                                    {} 1 key
                                    • ▶
                                      {} 1 key
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 1 key
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 1 key
                                              • ▶
                                                {} 1 key
                                                • ▶
                                                  {} 1 key
                                                  • ▶
                                                    {} 1 key
                                                  • false

                                                Advanced Workflow Query Example​

                                                • ▶
                                                  {} 1 key
                                                  • ▶
                                                    [] 2 items

                                                  Error​

                                                  Schema for errors returned by the API

                                                  Error Schema​

                                                  • ▶
                                                    {} 3 keys
                                                    • "http://json-schema.org/draft-07/schema#"
                                                    • "object"
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 1 key
                                                        • ▶
                                                          {} 1 key

                                                      Error Example​

                                                      • ▶
                                                        {} 2 keys
                                                        • "NotFound"
                                                        • "Application was not found"

                                                      Workflow​

                                                      Schema for a single Workflow

                                                      Workflow Schema​

                                                      • ▶
                                                        {} 3 keys
                                                        • "http://json-schema.org/draft-07/schema#"
                                                        • "object"
                                                        • ▶
                                                          {} 27 keys
                                                          • ▶
                                                            {} 2 keys
                                                            • ▶
                                                              {} 2 keys
                                                              • ▶
                                                                {} 2 keys
                                                                • ▶
                                                                  {} 2 keys
                                                                  • ▶
                                                                    {} 2 keys
                                                                    • ▶
                                                                      {} 2 keys
                                                                      • ▶
                                                                        {} 2 keys
                                                                        • ▶
                                                                          {} 2 keys
                                                                          • ▶
                                                                            {} 2 keys
                                                                            • ▶
                                                                              {} 3 keys
                                                                              • ▶
                                                                                {} 2 keys
                                                                                • ▶
                                                                                  {} 2 keys
                                                                                  • ▶
                                                                                    {} 3 keys
                                                                                    • ▶
                                                                                      {} 2 keys
                                                                                      • ▶
                                                                                        {} 2 keys
                                                                                        • ▶
                                                                                          {} 1 key
                                                                                          • ▶
                                                                                            {} 2 keys
                                                                                            • ▶
                                                                                              {} 2 keys
                                                                                              • ▶
                                                                                                {} 2 keys
                                                                                                • ▶
                                                                                                  {} 2 keys
                                                                                                  • ▶
                                                                                                    {} 2 keys
                                                                                                    • ▶
                                                                                                      {} 4 keys
                                                                                                      • ▶
                                                                                                        {} 3 keys
                                                                                                        • ▶
                                                                                                          {} 1 key
                                                                                                          • ▶
                                                                                                            {} 3 keys
                                                                                                            • ▶
                                                                                                              {} 1 key
                                                                                                              • ▶
                                                                                                                {} 2 keys

                                                                                                            Workflow Example​

                                                                                                            • ▶
                                                                                                              {} 12 keys
                                                                                                              • "575ed18f7ae143cd83dc4aa6"
                                                                                                              • "575ed18f7ae143cd83dc4aa6"
                                                                                                              • "575ec8687ae143cd83dc4a97"
                                                                                                              • "2016-06-13T04:00:00.000Z"
                                                                                                              • "2016-06-13T04:00:00.000Z"
                                                                                                              • "My Workflow"
                                                                                                              • "Description of my empty workflow"
                                                                                                              • true
                                                                                                              • [] 0 items
                                                                                                                • [] 0 items
                                                                                                                  • [] 0 items
                                                                                                                    • ▶
                                                                                                                      {} 2 keys

                                                                                                                    Workflow Post​

                                                                                                                    Schema for the body of a Workflow creation request

                                                                                                                    Workflow Post Schema​

                                                                                                                    • ▶
                                                                                                                      {} 5 keys
                                                                                                                      • "http://json-schema.org/draft-07/schema#"
                                                                                                                      • "object"
                                                                                                                      • ▶
                                                                                                                        {} 14 keys
                                                                                                                        • ▶
                                                                                                                          {} 3 keys
                                                                                                                          • ▶
                                                                                                                            {} 2 keys
                                                                                                                            • ▶
                                                                                                                              {} 2 keys
                                                                                                                              • ▶
                                                                                                                                {} 1 key
                                                                                                                                • ▶
                                                                                                                                  {} 2 keys
                                                                                                                                  • ▶
                                                                                                                                    {} 2 keys
                                                                                                                                    • ▶
                                                                                                                                      {} 1 key
                                                                                                                                      • ▶
                                                                                                                                        {} 2 keys
                                                                                                                                        • ▶
                                                                                                                                          {} 2 keys
                                                                                                                                          • ▶
                                                                                                                                            {} 3 keys
                                                                                                                                            • ▶
                                                                                                                                              {} 2 keys
                                                                                                                                              • ▶
                                                                                                                                                {} 2 keys
                                                                                                                                                • ▶
                                                                                                                                                  {} 4 keys
                                                                                                                                                  • ▶
                                                                                                                                                    {} 3 keys
                                                                                                                                                  • false
                                                                                                                                                  • ▶
                                                                                                                                                    [] 1 item

                                                                                                                                                  Workflow Post Example​

                                                                                                                                                  • ▶
                                                                                                                                                    {} 2 keys
                                                                                                                                                    • "My New Workflow"
                                                                                                                                                    • "Description of my new workflow"

                                                                                                                                                  Workflow Trigger Filter​

                                                                                                                                                  Array of triggers for filtering workflows. Trigger keys and trigger types are optional.

                                                                                                                                                  Workflow Trigger Filter Schema​

                                                                                                                                                  • ▶
                                                                                                                                                    {} 4 keys
                                                                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                    • "array"
                                                                                                                                                    • ▶
                                                                                                                                                      {} 3 keys
                                                                                                                                                      • 100

                                                                                                                                                    Workflow Trigger Filter Example​

                                                                                                                                                    • ▶
                                                                                                                                                      [] 1 item
                                                                                                                                                      • ▶
                                                                                                                                                        {} 2 keys

                                                                                                                                                      Workflow Versions​

                                                                                                                                                      Schema for a collection of Workflow Versions

                                                                                                                                                      Workflow Versions Schema​

                                                                                                                                                      • ▶
                                                                                                                                                        {} 3 keys
                                                                                                                                                        • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                        • "object"
                                                                                                                                                        • ▶
                                                                                                                                                          {} 11 keys
                                                                                                                                                          • ▶
                                                                                                                                                            {} 2 keys
                                                                                                                                                            • ▶
                                                                                                                                                              {} 1 key
                                                                                                                                                              • ▶
                                                                                                                                                                {} 1 key
                                                                                                                                                                • ▶
                                                                                                                                                                  {} 1 key
                                                                                                                                                                  • ▶
                                                                                                                                                                    {} 1 key
                                                                                                                                                                    • ▶
                                                                                                                                                                      {} 1 key
                                                                                                                                                                      • ▶
                                                                                                                                                                        {} 1 key
                                                                                                                                                                        • ▶
                                                                                                                                                                          {} 1 key
                                                                                                                                                                          • ▶
                                                                                                                                                                            {} 2 keys
                                                                                                                                                                            • ▶
                                                                                                                                                                              {} 2 keys
                                                                                                                                                                              • ▶
                                                                                                                                                                                {} 2 keys

                                                                                                                                                                            Workflow Versions Example​

                                                                                                                                                                            • ▶
                                                                                                                                                                              {} 9 keys
                                                                                                                                                                              • ▶
                                                                                                                                                                                [] 1 item
                                                                                                                                                                                • 1
                                                                                                                                                                                • 4
                                                                                                                                                                                • 1
                                                                                                                                                                                • 0
                                                                                                                                                                                • "version"
                                                                                                                                                                                • "asc"
                                                                                                                                                                                • "575ec8687ae143cd83dc4a97"
                                                                                                                                                                                • "575ed18f7ae143cd83dc4aa6"

                                                                                                                                                                              Workflows​

                                                                                                                                                                              Schema for a collection of Workflows

                                                                                                                                                                              Workflows Schema​

                                                                                                                                                                              • ▶
                                                                                                                                                                                {} 3 keys
                                                                                                                                                                                • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                                • "object"
                                                                                                                                                                                • ▶
                                                                                                                                                                                  {} 11 keys
                                                                                                                                                                                  • ▶
                                                                                                                                                                                    {} 2 keys
                                                                                                                                                                                    • ▶
                                                                                                                                                                                      {} 1 key
                                                                                                                                                                                      • ▶
                                                                                                                                                                                        {} 1 key
                                                                                                                                                                                        • ▶
                                                                                                                                                                                          {} 1 key
                                                                                                                                                                                          • ▶
                                                                                                                                                                                            {} 1 key
                                                                                                                                                                                            • ▶
                                                                                                                                                                                              {} 1 key
                                                                                                                                                                                              • ▶
                                                                                                                                                                                                {} 1 key
                                                                                                                                                                                                • ▶
                                                                                                                                                                                                  {} 1 key
                                                                                                                                                                                                  • ▶
                                                                                                                                                                                                    {} 2 keys
                                                                                                                                                                                                    • ▶
                                                                                                                                                                                                      {} 2 keys
                                                                                                                                                                                                      • ▶
                                                                                                                                                                                                        {} 2 keys

                                                                                                                                                                                                    Workflows Example​

                                                                                                                                                                                                    • ▶
                                                                                                                                                                                                      {} 8 keys
                                                                                                                                                                                                      • ▶
                                                                                                                                                                                                        [] 1 item
                                                                                                                                                                                                        • 1
                                                                                                                                                                                                        • 4
                                                                                                                                                                                                        • 1
                                                                                                                                                                                                        • 0
                                                                                                                                                                                                        • "name"
                                                                                                                                                                                                        • "asc"
                                                                                                                                                                                                        • "575ec8687ae143cd83dc4a97"

                                                                                                                                                                                                      Workflows Import Post​

                                                                                                                                                                                                      Schema for the body of a workflow import request

                                                                                                                                                                                                      Workflows Import Post Schema​

                                                                                                                                                                                                      • ▶
                                                                                                                                                                                                        {} 4 keys
                                                                                                                                                                                                        • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                                                        • "object"
                                                                                                                                                                                                        • ▶
                                                                                                                                                                                                          {} 2 keys
                                                                                                                                                                                                          • ▶
                                                                                                                                                                                                            {} 3 keys
                                                                                                                                                                                                            • ▶
                                                                                                                                                                                                              {} 3 keys
                                                                                                                                                                                                            • false

                                                                                                                                                                                                          Workflows Import Post Example​

                                                                                                                                                                                                          • ▶
                                                                                                                                                                                                            {} 2 keys
                                                                                                                                                                                                            • ▶
                                                                                                                                                                                                              [] 1 item
                                                                                                                                                                                                              • [] 0 items

                                                                                                                                                                                                              Workflow Import Result​

                                                                                                                                                                                                              Schema for the result of a workflow import request

                                                                                                                                                                                                              Workflow Import Result Schema​

                                                                                                                                                                                                              • ▶
                                                                                                                                                                                                                {} 3 keys
                                                                                                                                                                                                                • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                                                                • "object"
                                                                                                                                                                                                                • ▶
                                                                                                                                                                                                                  {} 4 keys
                                                                                                                                                                                                                  • ▶
                                                                                                                                                                                                                    {} 3 keys
                                                                                                                                                                                                                    • ▶
                                                                                                                                                                                                                      {} 3 keys
                                                                                                                                                                                                                      • ▶
                                                                                                                                                                                                                        {} 2 keys
                                                                                                                                                                                                                        • ▶
                                                                                                                                                                                                                          {} 2 keys

                                                                                                                                                                                                                      Workflow Import Result Example​

                                                                                                                                                                                                                      • ▶
                                                                                                                                                                                                                        {} 4 keys
                                                                                                                                                                                                                        • ▶
                                                                                                                                                                                                                          [] 1 item
                                                                                                                                                                                                                          • [] 0 items
                                                                                                                                                                                                                            • ▶
                                                                                                                                                                                                                              {} 1 key
                                                                                                                                                                                                                              • {} 0 keys

                                                                                                                                                                                                                              Palette Response​

                                                                                                                                                                                                                              Schema for the set of additional nodes for the workflow palette

                                                                                                                                                                                                                              Palette Response Schema​

                                                                                                                                                                                                                              • ▶
                                                                                                                                                                                                                                {} 3 keys
                                                                                                                                                                                                                                • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                                                                                • "object"
                                                                                                                                                                                                                                • ▶
                                                                                                                                                                                                                                  {} 2 keys
                                                                                                                                                                                                                                  • ▶
                                                                                                                                                                                                                                    {} 3 keys
                                                                                                                                                                                                                                    • ▶
                                                                                                                                                                                                                                      {} 2 keys

                                                                                                                                                                                                                                  Palette Response Example​

                                                                                                                                                                                                                                  • ▶
                                                                                                                                                                                                                                    {} 2 keys
                                                                                                                                                                                                                                    • "61f407b56dd9921e15f2b02b"
                                                                                                                                                                                                                                    • ▶
                                                                                                                                                                                                                                      [] 2 items

                                                                                                                                                                                                                                    Was this page helpful?


                                                                                                                                                                                                                                    Still looking for help? You can also search the WEGnology Forums or submit your question there.